Bug 137859 - [patch] python bulk update eliminate hard coded "py-" prefix
Summary: [patch] python bulk update eliminate hard coded "py-" prefix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-16 23:30 UTC by Olli Hauer
Modified: 2009-08-18 21:20 UTC (History)
1 user (show)

See Also:


Attachments
patch_bulk_python_prefix (6.25 KB, text/plain)
2009-08-16 23:30 UTC, Olli Hauer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer 2009-08-16 23:30:05 UTC
Eliminate hard coded "PKGNAMEPREFIX= py-" from the following ports

 devel/py-kqueue
 devel/py-subversion
 devel/py-ice
 devel/py-thrift
 devel/py-tconfpy
 x11-toolkits/py-gnome
 x11-toolkits/py-gtk
 x11-toolkits/py-gtkscintilla
 audio/py-libmpdclient
 databases/py-SQLDict
 databases/py-MySQL
 textproc/py-HyperText
 math/py-gnuplot

I hope it is OK to send this as on PR ;)

Regards,
olli
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-08-16 23:52:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Bring this PR for multiple ports to the attention of the Python 
mailing list.
Comment 2 Olli Hauer 2009-08-17 06:26:38 UTC
I forgot these two ports in last patch
 net/py-mp-random
 net-im/py-punjab


--- patch_bulk_python_prefix_2 begins here ---
Index: net/py-mp-random/Makefile
===================================================================
--- net/py-mp-random/Makefile
+++ net/py-mp-random/Makefile
@@ -10,7 +10,7 @@
 PORTREVISION=	4
 CATEGORIES=	net python
 MASTER_SITES=	http://mirrorproject.com/widget/
-PKGNAMEPREFIX=	py-
+PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}
 DISTNAME=	MirrorProjectRandomImageWidget-src-${PORTVERSION}
 
 MAINTAINER=	randomimage-widget@mirrorproject.com
Index: net-im/py-punjab/Makefile
===================================================================
--- net-im/py-punjab/Makefile
+++ net-im/py-punjab/Makefile
@@ -9,7 +9,7 @@
 PORTVERSION=	0.12
 CATEGORIES=	net-im python
 MASTER_SITES=	http://butterfat.net/punjab/
-PKGNAMEPREFIX=	py-
+PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	beech@FreeBSD.org
 COMMENT=	HTTP-polling and HTTP-binding gateway for Jabber
--- patch_bulk_python_prefix_2 ends here ---
Comment 3 dfilter service freebsd_committer 2009-08-18 21:16:03 UTC
miwi        2009-08-18 20:15:55 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-kqueue      Makefile 
    devel/py-subversion  Makefile 
    devel/py-ice         Makefile 
    devel/py-thrift      Makefile 
    devel/py-tconfpy     Makefile 
    x11-toolkits/py-gnome Makefile 
    x11-toolkits/py-gtk  Makefile 
    x11-toolkits/py-gtkscintilla Makefile 
    audio/py-libmpdclient Makefile 
    databases/py-SQLDict Makefile 
    databases/py-MySQL   Makefile 
    textproc/py-HyperText Makefile 
    math/py-gnuplot      Makefile 
    net/py-mp-random     Makefile 
    net-im/py-punjab     Makefile 
  Log:
  Eliminate hard coded "PKGNAMEPREFIX= py-"
  
  PR:             137859
  Submitted by:   olli hauer <ohauer@gmx.de>
  
  Revision  Changes    Path
  1.3       +2 -1      ports/audio/py-libmpdclient/Makefile
  1.23      +2 -1      ports/databases/py-MySQL/Makefile
  1.6       +8 -8      ports/databases/py-SQLDict/Makefile
  1.11      +1 -1      ports/devel/py-ice/Makefile
  1.22      +1 -1      ports/devel/py-kqueue/Makefile
  1.10      +1 -1      ports/devel/py-subversion/Makefile
  1.5       +2 -1      ports/devel/py-tconfpy/Makefile
  1.5       +1 -1      ports/devel/py-thrift/Makefile
  1.15      +2 -1      ports/math/py-gnuplot/Makefile
  1.2       +1 -1      ports/net-im/py-punjab/Makefile
  1.9       +1 -1      ports/net/py-mp-random/Makefile
  1.6       +8 -8      ports/textproc/py-HyperText/Makefile
  1.80      +2 -1      ports/x11-toolkits/py-gnome/Makefile
  1.77      +2 -1      ports/x11-toolkits/py-gtk/Makefile
  1.20      +2 -1      ports/x11-toolkits/py-gtkscintilla/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2009-08-18 21:16:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!